Bug 167771 - Split mysql libs away from server
Split mysql libs away from server
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mysql (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-07 18:40 EDT by Pete Zaitcev
Modified: 2013-07-02 23:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-08 11:34:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pete Zaitcev 2005-09-07 18:40:57 EDT
Today's "yum update" pulled mysql in.

[root@lembas zaitcev]# rpm -e mysql
error: Failed dependencies:
        libmysqlclient.so.14 is needed by (installed) cyrus-sasl-devel-2.1.21-4.i386
        libmysqlclient.so.14 is needed by (installed) cyrus-sasl-2.1.21-4.i386
[root@lembas zaitcev]# rpm -e postgresql-libs
error: Failed dependencies:
        libpq.so.4 is needed by (installed) cyrus-sasl-devel-2.1.21-4.i386
        libpq.so.4 is needed by (installed) cyrus-sasl-2.1.21-4.i386
[root@lembas zaitcev]# rpm -q mysql
mysql-4.1.12-3
[root@lembas zaitcev]#
Comment 1 Tom Lane 2005-09-07 19:39:52 EDT
Why do you think this is mysql's fault and not cyrus-sasl's?  And I don't see
anything there implicating the server subpackage, so your bug title makes no
sense to me.
Comment 2 Pete Zaitcev 2005-09-07 19:53:17 EDT
I suspect what cyrus-sasl actually wants is "some SQL".
But that's probably impossible to express, unless we introduce
some new "provides". I really have no clue.
Adding Nalin for Cyrus comments.

Indeed, mysql does not seem to include a server. I forgot that 5MB
is pocket change these days. The libraries alone take about 2MB,
so splitting them off is not likely to help much.
Comment 3 Nalin Dahyabhai 2005-09-08 10:16:03 EDT
The Cyrus SASL SQL auxprop plugin links against multiple RDBMS client libraries
in order to support as many as it can (that's why you get both the postgresql
and mysql client libraries).  If the package which contains libmysqlclient.so.14
doesn't include the MySQL server, then I guess you're already okay.
Comment 4 Tom Lane 2005-09-08 11:34:51 EDT
Right, the server package is separate for both databases.  I'm going to close
this NOTABUG --- Pete, feel free to reopen if there's more to this than
overoptimism about the package size ;-)

Note You need to log in before you can comment on or make changes to this bug.